[Buildroot] svn commit: trunk/buildroot/package/qte

laird at uclibc.org laird at uclibc.org
Fri Jan 30 11:30:22 UTC 2009


Author: laird
Date: 2009-01-30 11:30:21 +0000 (Fri, 30 Jan 2009)
New Revision: 25163

Log:
qte.mk: Add a 'comment' to indicate the need for NPTL threads

Make sure the developer is informed why a package is not
visable and that they need to have a NPTL enabled
toolchain.
 
Signed-off-by: Daniel Laird <daniel.j.laird at nxp.com>


Modified:
   trunk/buildroot/package/qte/Config.in


Changeset:
Modified: trunk/buildroot/package/qte/Config.in
===================================================================
--- trunk/buildroot/package/qte/Config.in	2009-01-30 10:49:59 UTC (rev 25162)
+++ trunk/buildroot/package/qte/Config.in	2009-01-30 11:30:21 UTC (rev 25163)
@@ -14,9 +14,10 @@
 	  Only tested with threading on, PACKAGE_JPEG, PACKAGE_LIBPNG,
 	  but remove those if you like.
 
-comment "Qt/E requires a toolchain with C++ support enabled"
+comment "Qt/E requires a toolchain with C++ support enabled and native threading enabled (NPTL)"
 	depends on !BR2_INSTALL_LIBSTDCPP
 	depends on BR2_DEPRECATED
+	depends on !BR2_PTHREADS_NATIVE
 
 config BR2_PACKAGE_QTE_COMMERCIAL_USERNAME
 	string "Qt/E Commercial License Username"




More information about the buildroot mailing list